using BankContracts.BindingModels;
using BankContracts.SearchModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface ICurrencyPurchaseStorage
    {
        List<CurrencyPurchaseViewModel> GetFullList();
        List<CurrencyPurchaseViewModel> GetFilteredList(CurrencyPurchaseSearchModel model);
        CurrencyPurchaseViewModel? GetElement(CurrencyPurchaseSearchModel model);
        CurrencyPurchaseViewModel? Insert(CurrencyPurchaseBindingModel model);
        CurrencyPurchaseViewModel? Update(CurrencyPurchaseBindingModel model);
        CurrencyPurchaseViewModel? Delete(CurrencyPurchaseBindingModel model);
    }
}
